DIR(1)

NAVN
dir - vis mappeindhold

SYNOPSIS
dir [FLAG]... [FIL]...

BESKRIVELSE

Vis information om FILer (nuværende mappe med mindre andet er angivet). Sorter filerne alfabetisk hvis ingen af flagene -cftuvSUX eller --sort er angivet.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-a, --all
    skjul ikke filer som starter med .

-A, --almost-all
    skjul underforstået . og ..

--author
    bruges med -l; skriv forfatter for hver fil

-b, --escape
    skriv undvigesekvenser for ikke-grafiske tegn i stil med C

--block-size=STØR
    med -l: skalér størrelser med STØR når de skrives; fx "--block-size=M"; se format STØR nedenfor

-B, --ignore-backups
    vis ikke filer som ender på ~

-c  med -lt: sortér efter, og vis, ctime (tidspunkt for sidste ændring af filstatusinformation); med -l: vis ctime og sortér efter navn; ellers: sortér efter ctime, nyeste først

-C  vis filer i kolonner

--color[=NÅR]
    udskriv i farver. NÅR kan være "always" (standard), "auto" eller "never"; mere info nedenfor

-d, --directory
    vis kataloger i sig selv frem for deres indhold

-D, --dired
    lav uddata til Emacs" dired-tilstand

-f  sortér ikke, brug -aU, brug ikke -ls --color

-F, --classify
    føj en angivelse (*/=>@|) til elementerne

--file-type
    det samme, men tilføj ikke "*"

--format=ORD
    "across" -x, "commas" -m, "horizontal" -x, "long" -l, "single-column" -1, "verbose" -l, "vertical" -C

--full-time
    ligesom -l --time-style=full-iso

-g  som -l, men udskriv ikke ejer

--group-directories-first
    gruppér kataloger før filer;

    kan bruges med flaget --sort, men enhver brug af --sort=none (-U) deaktiverer gruppering

-G, --no-group
    skriv ikke gruppenavne ved langt format

-h, --human-readable
    brug med -l og -s; vis størrelser som 1K, 234M, 2G osv.

--si
    det samme, men brug 1000 som grundtal, ikke 1024

-H, --dereference-command-line
    følg symbolske lænker angivet på kommandolinjen

--dereference-command-line-symlink-to-dir
    følg hver symbolsk lænke angivet på kommandolinjen,

    der peger på et katalog

--hide=MØNSTER
    udskriv ikke elementer, der matcher skalmønstret MØNSTER (tilsidesættes af -a eller -A)

--hyperlink[=HVORNÅR]
    hyperlink filnavne; HVORNÅR kan være "always" (standard hvis udeladt), "auto" eller "never"

--indicator-style=ORD
    tilføj indikator med stilen ORD til elementer: none (standard), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    vis indeksnummer for hver fil

-I, --ignore=MØNSTER
    vis ikke filer, der matcher skalmønstret MØNSTER

-k, --kibibytes
    brug som standard blokke på 1024 byte for diskbrug bruges kun med -s og i sum for katalog

-l  brug langt listeformat

-L, --dereference
    når der vises filinformation for symbolske lænker, så vis information for filen, som lænken peger på, frem for lænken selv

-m  brug hele skærmbredden med en liste adskilt af kommaer

-n, --numeric-uid-gid
    ligesom -l, men skriv bruger- og gruppe-ID med tal

-N, --literal
    skriv elementnavne uden citation

-o  ligesom -l, men vis ikke gruppeinformation

-p, --indicator-style=slash
    tilføj skråstreg som indikator for kataloger

-q, --hide-control-chars
    skriv ? i stedet for ikke-grafiske tegn

--show-control-chars
    vis ikke-grafiske tegn som de er (standard, med mindre programmet er "ls" og uddata er en terminal)

-Q, --quote-name
    sæt filnavne i gåseøjne

--quoting-style=ORD
    brug anførselsstil ORD for filnavn: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (tilsidesætter miljøvariablen QUOTING_STYLE)

-r, --reverse
    sortér i omvendt rækkefølge

-R, --recursive
    vis underkataloger rekursivt

-s, --size
    skriv allokeret størrelse for hver fil i blokke

-S  sortér efter filstørrelse, største først

--sort=ORD
    sortér efter ORD frem for navn: none (-U), size (-S), time (-t), version (-v), extension (-X)

--time=ORD
    ændr standarden for brug af ændringstidspunkt; adgangstid (-u): atime, access, use; ændr tid (-c): ctime, status; fødselstidspunkt: birth, creation;

    med -l; ORD afgør hvilket tidspunkt, der vises; med --sort=time, sorter efter ORD (nyeste først)

--time-style=TIDSSTIL
    format for dato/tid med -l; se TIDSSTIL nedenfor

-t  sorter efter tidspunkt, nyeste først; se --time

-T, --tabsize=KOLONNER
    antag tabulatorstop på KOLONNER frem for 8

-u  med -lt: sortér efter, og vis, læsningstid; med -l: vis læsningstid og sortér efter navn; ellers: sortér efter læsningstid, nyeste først

-U  sortér ikke; vis filer som de ligger i kataloget

-v  naturlig sortering af (versions-)tal i tekst

-w, --width=KOLONNER
    sæt udskriftsbredde til KOLONNER. 0 er ubegrænset

-x  vis elementer linjevis i stedet for kolonnevis

-X  sortér alfabetisk efter filendelser

-Z, --context
    udskriv eventuel sikkerhedskontekst for hver fil

-1  vis én fil per linje. Undgå "\n" med -q eller -b

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

Argumentet STØR er et heltal med eventuel enhed (f.eks.: 10K er 10*1024). Enheder er K,M,G,T,P,E,Z,Y (potens af 1024) eller KB,MB,... (potens af 1000). Binært præfiks kan også bruges: KiB=K, MiB=M og så videre.

Argumentet TIDSSTIL kan være full-iso, long-iso, iso, locale eller +FORMAT. FORMAT fortolkes som i date(1). Hvis FORMAT er FORMAT1<linjeskift>FORMAT2, anvendes FORMAT1 til ældre filer og FORMAT2 til nyere filer. TIDSSTIL med præfiks "posix-" har kun virkning uden POSIX-regionsindstilling. Miljøvariablen TIME_STYLE angiver også den stil, der skal bruges som standard.

Brug af farve til at skelne filtyper er som standard slået fra, og med --color=never. Med --color=auto vil ls kun skrive farvekoder, når standard-ud er forbundet til en terminal. Indstillingerne kan ændres med miljøvariablen LS_COLORS. Brug kommandoen dircolors til at angive den.

  Afslutningskode:

0   hvis OK,

1   hvis mindre problemer (f.eks.: kan ikke tilgå underkatalog),

2   hvis alvorlige problemer (f.eks.: kan ikke tilgå kommandolinjeargument).

FORFATTER
Skrevet af Richard M. Stallman og David MacKenzie.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/dir>
eller lokalt tilgængelig via: info '(coreutils) dir invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.